package jdkl.PicJ.Browser;

import java.io.File;
import java.io.FilenameFilter;
import javax.imageio.ImageIO;

/**
 * @author kmwang
 *
 * 2003/5/14 U 09:09:51
 * ImageFilenameFilter.java
 */
public class ImageFilenameFilter implements FilenameFilter {

	/**
	 * @see java.io.FilenameFilter#accept(File, String)
	 */
	public boolean accept(File dir, String name) {
		//System.err.println("file name = " + name);
		String[] imgnames = ImageIO.getReaderFormatNames();
		String format = imgnames[0];
		for (int i = 1; i < imgnames.length; ++i) {
			format += "|" + imgnames[i];
		}

		//if (name.matches(".*(gif|png|jpg|jpeg|tiff|tif)$")) {
		if (name.matches(".*(" + format + ")$")) {
			//System.err.println("true");
			return true;
		} else {
			//System.err.println("false");
			return false;
		} 
	}

}
